module.exports = app => {
  const reference = require("../controllers/reference.controller.js");
  var router = require("express").Router();
  router.post("/add", reference.add);
  router.post("/all", reference.all);
  router.post("/delete", reference.delete);
  router.post("/ref_by_book", reference.ref_by_book);
  router.post("/update", reference.update);

  router.post("/scheduletime/add", reference.addScheduleTime);
  router.post("/scheduletime/all", reference.allScheduleTime);
  router.post("/scheduletime/delete", reference.deleteScheduleTime);
  router.post("/scheduletime/update", reference.updateScheduleTime);

  app.use('/reference', router);
};
